;***********************************************************
;tim1_comp
;***********************************************************
; Timer1 Compare Match Interrupt
; Wird ausgeloest wenn die dritte Ziffer eingegeben wurde,
; und wenn der Rotor an der gewuenschten Position angekommen
; ist.
; Funktionsweise:
;	Die Bremse wird geloest, und fuer 3sek in diesem
;	Zustand belassen. Die Relais zum drehen werden dabei 
;	deaktiviert! Danach gibt es zwei mglichkeiten:
;
;	- 	Ist das "bremsflag" in "flags" nicht gesetzt, so
;		wird das "startflag" zur Einleitung des 
;		Drehvorgangs gesetzt, und der Timer1 wird
;		wieder deaktiviert.
;
;	-	Ist das "bremsflag" in "flags" gesetzt, so
;		wird die Bremse geschlossen und der Timer1
;		ebenfals deaktiviert.
;***********************************************************

tim1_comp:
	in savesreg, sreg

	ldi temp, 0b11111010	; Alle Relais inaktiv bis auf Bremse
	out PORTB, temp
	cpi bremszaehler, 3	; Vergleich des bremszaehlers mit 3
	brlo end_oc1aint_0	; Wenn kleiner dann bremszaehler um 1 erhoehen
				; und Interrupt beenden.
				
	sbrc flags, bremsflag	; Wenn bremsflag gesetzt, dann
	rjmp bremse_oeffnen	; nach bremse_oeffnen springen

	ldi flags, 1<<startflag
	clr bremszaehler
	ldi temp, 1<<TOIE0
	out TIMSK, temp
	rjmp end_oc1aint


end_oc1aint_0:
	inc bremszaehler
end_oc1aint:
	out sreg, savesreg
	reti

bremse_oeffnen:
	clr bremszaehler
	ldi flags, 0<<bremsflag^0<<startflag
	ldi temp, 0b11111000	; Alle Relais offen !
	out PORTB, temp
	ldi temp, 1<<TOIE0
	out TIMSK, temp
	rjmp end_oc1aint
